Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Interface ServerPoolManagement

All Known Implementing Classes:
  ServerPoolManagementImpl

      public interface ServerPoolManagement

This class provides management funtionality for the Server pools and associated virtual servers.

1.Validation for Server Operation.
2.Validation for Server Pool Operation.
3.Server Operation Support.
4.Server Pool Operation Support.

Method Summary
`VirtualServer[]` | `addMembers(ServerPool serverPool, VirtualServerConfig[] serverConfigs)` Add virtual servers to a server pool. Server ID and Server Pool ID must be pointed.
`void` | `checkHAAbility4ServerPoolById(java.lang.Long poolId)` Check HA ability for the server pool.
`void` | `checkServerConnection(VirtualServer vs)` Check Server can be connected or not.
`void` | `checkVirtualServerCompatibility(MasterVirtualServer masterVS, VirtualServer vs)` Check Virtual server compatibility, so as to decide these server can be within one server pool or not. Such compatibility rules will be richful. 1.Check CPU Architecture. 2.Check CPU Platform.
`ServerPool` | `createServerPool(ServerPoolConfig serverPoolConfig)` Creates a new server pool for the system.
`ServerPool` | `createServerPool(ServerPoolConfig serverPoolConfig, java.lang.Long[] userIDArray)` For OVM Manager UI and CLI usage, this api didn't do precheck to avoid performance issue, so before call this api, please call validateCreateServerPool firstly.
`void` | `deleteServerPool(ServerPool serverPool)` Deprecated. Replaced by deleteServerPool(ServerPool,boolean). `deleteServerPool(ServerPool,boolean)`. Remove a server pool completely from the system (not physical destruction of the server pool). pool ID must be pointed.
`void` | `deleteServerPool(ServerPool serverPool, boolean isDelWorkDirectory)` Remove a server pool completely from the system (not physical destruction of the server pool). pool ID must be pointed.
`void` | `deleteServerPool(ServerPool serverPool, boolean isDelWorkingDir, boolean force, java.util.List warningMessageList)` Remove a server pool from ovm db and unregister the server pool from agent db. When the flag force is true, following attentions need be paid: 1.If Master server agent is alive, the server pool info will be removed from OVM DB and Agent DB. 2.If Master server agent is unreachable, the server pool info will be removed just from OVM DB. 3.Some ongoing task will not be checked for the server pool, such as importing resource, running vm.
`java.lang.String` | `getAgentVersion(java.lang.Long serverId)` Get current server's agent version number. Through getting the agent version, can do some useful estimations.
`java.lang.String` | `getAgentVersion(VirtualServer server)` Get Virtual Server agent's version directly from agent side.
`VirtualServer[]` | `getAllMembers(ServerPool serverPool)` Returns all virtual servers for the server pool. pool ID must be pointed.
`ServerPool[]` | `getAllServerPools()` Returns an array of all server pools managed by the system.
`java.util.Map` | `getClusterRootByServerPoolId(java.lang.Long serverPoolId)` Return the root actual server pool shared storage(eg, mount point:/OVS, actual mount point: /dev/sdxx or nfs server:/export_point
`MasterVirtualServerStatus` | `getMasterAgentStatus(ServerPool serverPool)` Returns the current status of the master server, for a server pool. Agent Status: Active/Unreachable.
`MasterVirtualServer` | `getMasterServer(ServerPool serverPool)` Returns the mater server configured for the server pool by pool id. pool ID must be pointed.
`java.util.Map` | `getMinimumAgentVersion(java.lang.Long[] serverPoolIDs)` Get minimum agent version in server pools.
`java.lang.String` | `getMinSupportedOVSAgentVersion()` Get minimum OVS agent version that is required for the OVM API to perform correctly.
`java.util.Map` | `getNetworkBridges(ServerPool serverPool)` Get xen bridge from a server pool. pool ID must be pointed.
`java.util.Map` | `getNetworkBridgesByServerIP(VirtualServer virtualServer)` Get xen brige by virtualServer ip
`VirtualServer` | `getServer(VirtualServer virtualServer)` Deprecated. Replaced by getVirtualServerById(VirtualServer) `getVirtualServerById(VirtualServer)`. Return a specific instance of the virtual server by virtualServer id. server ID must be pointed.
`VirtualServer` | `getServerByName(ServerPool serverPool, VirtualServer virtualServer)` Deprecated. Replaced by getVirtualServerByName(String serverPoolName, String virtualServerName). Returns an instance of the virtual server by pool name and server name from a server pool. pool name and server name must be pointed.
`ServerPool` | `getServerPool(ServerPool serverPool)` Deprecated. Replaced by getServerPoolById(ServerPool). `getServerPoolById(ServerPool)`. Returns instances of server pool by id managed by the system. pool ID must be pointed.
`ServerPool` | `getServerPoolById(java.lang.Long poolId)` Returns instances of server pool by id managed by the system. pool ID must be pointed.
`ServerPool` | `getServerPoolById(ServerPool serverPool)` Deprecated. Replaced by getServerPoolById(Long poolId). Returns instances of server pool by id managed by the system. pool ID must be pointed.
`ServerPool[]` | `getServerPoolByName(ServerPool serverPool)` Returns instance of specific server pools managed by the system, by (%)its name(%). ServerPool name must be pointed.
`ServerPool` | `getServerPoolByName(java.lang.String serverPoolName)` Returns an instance of a specific server pool managed by the system, query condition is its name. pool name must be pointed.
`ServerPoolMetrics` | `getServerPoolMetricsByServerPoolId(java.lang.Long serverPoolId)` Get the sum of cpus, chips and cpu speed(MHZ) in one serverPool.
`ServerPool[]` | `getServerPools(ServerPool serverPool, java.lang.Long loginUserId)` More generic query for server pool, user can query server pools by server pool id, server pool name and server pool status
`java.util.Map` | `getStorageRepositoriesByServerPoolId(java.lang.Long serverPoolId)` Return all mounted storage repositories, like /OVS/:/dev/sdc;/OVS/uuid:nfs:/export_point;
`VirtualServer` | `getVirtualServerById(java.lang.Long vsID)` Return a specific instance of the virtual server by virtualServer id.
`VirtualServer` | `getVirtualServerById(VirtualServer virtualServer)` Return a specific instance of the virtual server by virtualServer id. server ID must be pointed.
`VirtualServer` | `getVirtualServerByName(java.lang.String serverPoolName, java.lang.String virtualServerName)` Returns an instance of the virtual server by pool name and server name from a server pool. pool name and server name must be pointed.
`VirtualServer[]` | `getVirtualServerByServerPool(java.lang.Long serverPoolID)` Get Server By Server Pool ID
`VirtualServerMetrics[]` | `getVirtualServerMetrics(java.lang.Long[] virtualServerIDArray)` Get statistics for a set of VirtualServers, this covers memory and CPU statistics.
`VirtualServer[]` | `getVirtualServers(ServerPool pool, VirtualServer vs, java.lang.Long loginUserId)` Get servers which belong to the server pool and currnt login user can access .
`void` | `rebootServer(VirtualServer virtualServer)` Reboots the virtual server. server ID must be pointed.
`void` | `refreshServerPool(ServerPool pool)` Refresh server and server pool status , synchronize db data between EM-OVM and Agent db.
`void` | `removeMember(VirtualServer virtualServer)` Deprecated.
`void` | `removeMember(VirtualServer virtualServer, boolean force)` Deprecated.
`void` | `removeMember(VirtualServer virtualServer, boolean force, java.util.List warningMessageList)` Removes a virtual server from the server pool (logical de-referencing). server ID must be pointed. When the flag force is true, following attentions need be paid: 1.Some ongoing task will not be checked for the virtual server, such as running vm. 2.If the virtual server is unreachable, the virtual server still will be removed from OVM db and agent DB. Otherwise,removeMember will check following validations: 1.Is there any running vm in this virtual server?
`void` | `restoreVirtualServerPoolByManagerData(java.lang.Long serverPoolId)` Populate Server Pool data from Manager DB to Agent DB.
`void` | `shutdownServer(VirtualServer virtualServer)` Shuts down the virtual server. server ID must be pointed.
`void` | `updateServerPool(java.lang.Long poolId, boolean HAStatus, java.lang.String newPoolName)` Update server pool info, including: 1.Update name of server pool; 2.Enable/Disable HA status for server pool.
`void` | `updateUserList4ServerPool(java.lang.Long serverPoolId, java.lang.Long[] userIDArray)` Update User List for server pool.
`void` | `updateUtilityServerPassword(java.lang.String hostName, java.lang.String oldPassword, java.lang.String newPassword)` Update password for utility virtual server.
`void` | `updateVirtualServer(VirtualServerConfig serverConfig)` Deprecated. Replace by updateVirtualServerById(VirtualServer, boolean,List). `updateVirtualServerById(VirtualServer, boolean)` Update Virtual Server information by server id. 1.Change virtual server agent password stored in ovm db, by this way, can populate agent password from agent side to OVM side. 2.Change utility virutl server login password store in ovmdb, by using this way, can populate virtual server login password from server side to OVM side. 3.Change server pool's utility/virtual server, for example: you can replace one obsolete virtual server by starting using a new virtual server.
`void` | `updateVirtualServerAgentPassword(java.lang.String hostName, java.lang.String oldPassword, java.lang.String newPassword)` Update virtual server agent's password.
`void` | `updateVirtualServerById(VirtualServer vs, boolean force)` Deprecated. Replaced by updateVirtualServerById(VirtualServer,boolean,List) `updateVirtualServerById(VirtualServer,boolean,List)` Update Virtual Server information by server id. 1.Change virtual server informaion stored in ovm db, such as agent password, by this way, can populate agent password from agent side to OVM side. 2.Change utility virutl server informaion stored in ovm db, such as login password store in ovmdb, by using this way, can populate utility virtual server login password from server side to OVM side. 3.Change the virtual server role: Including: a)Reassign one virtual server role(Master/Utility/VirtualServer) to another virtual server; b)Change one virtual server role(Master/Utility/VirtualServer).
`void` | `updateVirtualServerById(VirtualServer vs, boolean force, java.util.List warningMessageList)` Update Virtual Server information by server id. 1.Change virtual server informaion stored in ovm db, such as agent password, by this way, can populate agent password from agent side to OVM side. 2.Change utility virutl server informaion stored in ovm db, such as login password store in ovmdb, by using this way, can populate utility virtual server login password from server side to OVM side. 3.Change the virtual server role: Including: a)Reassign one virtual server role(Master/Utility/VirtualServer) to another virtual server; b)Change one virtual server role(Master/Utility/VirtualServer). Notes: a) For virtual server, running vm and prefer server list will be checked.
`void` | `validateAddMembers(ServerPool pool, VirtualServerConfig[] serverConfigs)` Pre-check for server addition into serverPool.
`void` | `validateCreateServerPool(ServerPoolConfig poolConfig)` Pre-check for create server pool.
`void` | `validateDeleteServerPool(ServerPool serverPool)` Pre-check for server pool deletion.
`void` | `validateRebootServer(VirtualServer vs)` This API done such validation jobs: The server's agent and its master agent can be connected or not?
`void` | `validateRemoveMember(VirtualServer vs)` Deprecated.
`void` | `validateRemoveMember(VirtualServer vs, boolean force)` Deprecated. Replace by #validateRemoveMember(VirtualServer vs,boolean force,List warningMessageList) This API does such validation jobs: 1.The server's master agent can be connected or not. 2.Running vm in the server will be checked. 3.Prefer server list will be checked. 4.If the server is a master server, so the server couldn't be removed directly. If force=true, upper checking message will be added into warningMessageList; If force=false, upper checking will thrown error exception.
`void` | `validateRemoveMember(VirtualServer vs, boolean force, java.util.List warningMessageList)` Pre-check for server removal from the serverPool.
`void` | `validateShutdownServer(VirtualServer vs)` This API done such validation jobs: 1.Check the server's agent can be connected or not. 2.Check the server's master agent can be connected or not. 3.Check the server's agent version, if version number is 212, the operation shutdown server is unsupported.
`void` | `validateUpdateUtilityServerPassword(java.lang.String hostName, java.lang.String oldPassword)` Validation user and password for utility server. 1.Try to connect utility virtual server using oldpassword. 2.If connection failed, then validtion will fail, and throw error exception message.
`void` | `validateUpdateVSAgentPassword(java.lang.String hostName, java.lang.String oldPassword)` Validation virtual server agent password can be updated or not. 1.Try to connect virtual server agent usting oldPassword. 2.If failed, then validationg will fail, and throw error exception message.

Method Detail

### getClusterRootByServerPoolId

    java.util.Map getClusterRootByServerPoolId(java.lang.Long serverPoolId)
                                               throws oracle.ovs.biz.exception.OVSException

  Return the root actual server pool shared storage(eg, mount point:/OVS, actual mount point: /dev/sdxx or nfs server:/export_point
  Parameters:
    `serverPoolId` - Server Pool ID
  Returns:
    Map map of (actual server pool shared storage,actual mount source)
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getStorageRepositoriesByServerPoolId

    java.util.Map getStorageRepositoriesByServerPoolId(java.lang.Long serverPoolId)
                                                       throws oracle.ovs.biz.exception.OVSException

  Return all mounted storage repositories, like /OVS/:/dev/sdc;/OVS/uuid:nfs:/export_point;
  Parameters:
    `serverPoolId` - Server Pool ID
  Returns:
    Map map of (actual server pool shared storage,actual mount source)
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVirtualServerMetrics

    VirtualServerMetrics[] getVirtualServerMetrics(java.lang.Long[] virtualServerIDArray)
                                                   throws oracle.ovs.biz.exception.OVSException

  Get statistics for a set of VirtualServers, this covers memory and CPU statistics.
  Parameters:
    `virtualServerIDArray` - Array of virtualServerID( Data type is Long)
  Returns:
    VirtualServerMetrics[] Array of VirtualServerMetrics @see oracle.ovs.api.datamodel.server.VirtualServerMetrics
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getServerPoolMetricsByServerPoolId

    ServerPoolMetrics getServerPoolMetricsByServerPoolId(java.lang.Long serverPoolId)
                                                         throws oracle.ovs.biz.exception.OVSException

  Get the sum of cpus, chips and cpu speed(MHZ) in one serverPool.
  Parameters:
    `serverPoolId` - Server Pool ID
  Returns:
    ServerPoolMetrics ServerPool Metrics
  Throws:
    `oracle.ovs.biz.exception.OVSException`
  See Also:
    `ServerPoolMetrics`

### getVirtualServers

    VirtualServer[] getVirtualServers(ServerPool pool,
                                      VirtualServer vs,
                                      java.lang.Long loginUserId)

  Get servers which belong to the server pool and currnt login user can access .
  Parameters:
    `pool` - Server Pool
    `vs` - Virtual Server
    `loginUserId` - Current login usre id
  Returns:
    Array of VirtualServer

### addMembers

    VirtualServer[] addMembers(ServerPool serverPool,
                               VirtualServerConfig[] serverConfigs)
                               throws oracle.ovs.biz.exception.OVSException

  Add virtual servers to a server pool.
  Server ID and Server Pool ID must be pointed.
  Parameters:
    `serverPool` - Add members for which server pool
    `serverConfigs` - Array for VirtualServerConfig
  Returns:
    VirtualServer[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`
  See Also:
    `VirtualServerConfig`

### checkVirtualServerCompatibility

    void checkVirtualServerCompatibility(MasterVirtualServer masterVS,
                                         VirtualServer vs)
                                         throws oracle.ovs.biz.exception.OVSException

  Check Virtual server compatibility, so as to decide these server can be within one server pool or not.
  Such compatibility rules will be richful.
  1.Check CPU Architecture.
  2.Check CPU Platform.
  Parameters:
    `masterVS` -
    `vs` -
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.server.ServerException`
    `oracle.ovs.biz.exception.OVSException`

### createServerPool

    ServerPool createServerPool(ServerPoolConfig serverPoolConfig)
                                throws oracle.ovs.biz.exception.OVSException

  Creates a new server pool for the system.
  Parameters:
    `serverPoolConfig` - @see oracle.ovs.api.datamodel.serverPool.config.ServerPoolConfig
  Returns:
    serverPool
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createServerPool

    ServerPool createServerPool(ServerPoolConfig serverPoolConfig,
                                java.lang.Long[] userIDArray)
                                throws oracle.ovs.biz.exception.OVSException

  For OVM Manager UI and CLI usage, this api didn't do precheck to avoid performance issue, so before call this api, please call validateCreateServerPool firstly.
  Parameters:
    `serverPoolConfig` -
    `userIDArray` -
  Returns:
    ServerPool server pool object.
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### checkHAAbility4ServerPoolById

    void checkHAAbility4ServerPoolById(java.lang.Long poolId)
                                       throws oracle.ovs.biz.exception.OVSException

  Check HA ability for the server pool.
  Parameters:
    `poolId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### checkServerConnection

    void checkServerConnection(VirtualServer vs)
                               throws oracle.ovs.biz.agent.AgentException,
                                      oracle.ovs.biz.exception.OVSException,
                                      oracle.ovs.biz.server.ServerException

  Check Server can be connected or not.
  Parameters:
    `vs` - Virtual Server
  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.server.ServerException`

### deleteServerPool

    void deleteServerPool(ServerPool serverPool)
                          throws oracle.ovs.biz.exception.OVSException

  Deprecated. Replaced by deleteServerPool(ServerPool,boolean).
  `deleteServerPool(ServerPool,boolean)`.
  Remove a server pool completely from the system (not physical destruction of the server pool).
  pool ID must be pointed.
  Parameters:
    `serverPool` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteServerPool

    void deleteServerPool(ServerPool serverPool,
                          boolean isDelWorkDirectory)
                          throws oracle.ovs.biz.exception.OVSException

  Remove a server pool completely from the system (not physical destruction of the server pool).
  pool ID must be pointed.
  Parameters:
    `serverPool` - pool ID must be pointed.
    `isDelWorkDirectory` - Use this flag to decide delete physical working directory or not.
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteServerPool

    void deleteServerPool(ServerPool serverPool,
                          boolean isDelWorkingDir,
                          boolean force,
                          java.util.List warningMessageList)
                          throws oracle.ovs.biz.exception.OVSException

  Remove a server pool from ovm db and unregister the server pool from agent db.
  When the flag force is true, following attentions need be paid:
  1.If Master server agent is alive, the server pool info will be removed from OVM DB and Agent DB.
  2.If Master server agent is unreachable, the server pool info will be removed just from OVM DB.
  3.Some ongoing task will not be checked for the server pool, such as importing resource, running vm.
  Parameters:
    `serverPool` -
    `isDelWorkingDir` - Use this flag to decide delete physical working directory or not.
    `force` - if force=true, the server pool will be forced deleted.
    `warningMessageList` - List of `OVSWarningMessage`
  Throws:
    `oracle.ovs.biz.exception.OVSException`
  See Also:
    `OVSWarningMessage`

### getAgentVersion

    java.lang.String getAgentVersion(VirtualServer server)
                                     throws oracle.ovs.biz.exception.OVSException

  Get Virtual Server agent's version directly from agent side.
  Parameters:
    `server` -
  Returns:
    agent version number.
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getMinimumAgentVersion

    java.util.Map getMinimumAgentVersion(java.lang.Long[] serverPoolIDs)

  Get minimum agent version in server pools.
  Parameters:
    `serverPoolIDs` - Server Pool ID Array
  Returns:
    Map key:ServerPoolID, value:MinimumAgentVersion.

### getAllMembers

    VirtualServer[] getAllMembers(ServerPool serverPool)

  Returns all virtual servers for the server pool.
  pool ID must be pointed.
  Parameters:
    `serverPool` -
  Returns:
    VirtualServer[]

### getAllServerPools

    ServerPool[] getAllServerPools()

  Returns an array of all server pools managed by the system.
  Returns:
    server pool array

### getServerPools

    ServerPool[] getServerPools(ServerPool serverPool,
                                java.lang.Long loginUserId)

  More generic query for server pool, user can query server pools by server pool id, server pool name and server pool status
  Parameters:
    `serverPool` - all of its field value will be looked as query condtion value, except null field.
    Currently support query by server pool id, server pool name and server pool status
    `loginUserId` - current login user id
  Returns:
    server pool array

### getAgentVersion

    java.lang.String getAgentVersion(java.lang.Long serverId)

  Get current server's agent version number.
  Through getting the agent version, can do some useful estimations.
  Parameters:
    `serverId` -
  Returns:
    agent version

### getMinSupportedOVSAgentVersion

    java.lang.String getMinSupportedOVSAgentVersion()

  Get minimum OVS agent version that is required for the OVM API to perform correctly.

### getMasterAgentStatus

    MasterVirtualServerStatus getMasterAgentStatus(ServerPool serverPool)

  Returns the current status of the master server, for a server pool.
  Agent Status: Active/Unreachable.
  Parameters:
    `serverPool` -
  Returns:
    Master Virtual Server Status
  See Also:
    `pool ID must be pointed.`

### getMasterServer

    MasterVirtualServer getMasterServer(ServerPool serverPool)

  Returns the mater server configured for the server pool by pool id.
  pool ID must be pointed.
  Parameters:
    `serverPool` -
  Returns:
    MasterVirtualServer

### getVirtualServerByServerPool

    VirtualServer[] getVirtualServerByServerPool(java.lang.Long serverPoolID)

  Get Server By Server Pool ID
  Parameters:
    `serverPoolID` -
  Returns:
    array of VirtualServer

### getVirtualServerById

    VirtualServer getVirtualServerById(VirtualServer virtualServer)

  Return a specific instance of the virtual server by virtualServer id.
  server ID must be pointed.
  Parameters:
    `virtualServer` -
  Returns:
    VirtualServer

### getVirtualServerById

    VirtualServer getVirtualServerById(java.lang.Long vsID)

  Return a specific instance of the virtual server by virtualServer id.
  Parameters:
    `vsID` - virtual server Id
  Returns:
    VirtualServer

### getServer

    VirtualServer getServer(VirtualServer virtualServer)

  Deprecated. Replaced by getVirtualServerById(VirtualServer)
  `getVirtualServerById(VirtualServer)`.
  Return a specific instance of the virtual server by virtualServer id.
  server ID must be pointed.
  Parameters:
    `virtualServer` -
  Returns:
    Virtual Server

### getServerByName

    VirtualServer getServerByName(ServerPool serverPool,
                                  VirtualServer virtualServer)

  Deprecated. Replaced by getVirtualServerByName(String serverPoolName, String virtualServerName).
  Returns an instance of the virtual server by pool name and server name from a server pool.
  pool name and server name must be pointed.
  Parameters:
    `serverPool` -
    `virtualServer` -
  Returns:
    VirtualServer

### getVirtualServerByName

    VirtualServer getVirtualServerByName(java.lang.String serverPoolName,
                                         java.lang.String virtualServerName)

  Returns an instance of the virtual server by pool name and server name from a server pool.
  pool name and server name must be pointed.
  Parameters:
    `serverPoolName` - Virtual Server Pool Name
    `virtualServerName` - Virtual Server Name
  Returns:
    VirtualServer

### getServerPoolById

    ServerPool getServerPoolById(ServerPool serverPool)

  Deprecated. Replaced by getServerPoolById(Long poolId).
  Returns instances of server pool by id managed by the system.
  pool ID must be pointed.
  Parameters:
    `serverPool` - query will get one server pool info by its id
  Returns:
    ServerPool

### getServerPoolById

    ServerPool getServerPoolById(java.lang.Long poolId)

  Returns instances of server pool by id managed by the system.
  pool ID must be pointed.
  Parameters:
    `poolId` - serverPoolID
  Returns:
    ServerPool

### getServerPool

    ServerPool getServerPool(ServerPool serverPool)

  Deprecated. Replaced by getServerPoolById(ServerPool). `getServerPoolById(ServerPool)`.
  Returns instances of server pool by id managed by the system.
  pool ID must be pointed.
  Parameters:
    `serverPool` - serverPool id is needed
  Returns:
    ServerPool object.

### getServerPoolByName

    ServerPool[] getServerPoolByName(ServerPool serverPool)

  Returns instance of specific server pools managed by the system, by (%)its name(%).
  ServerPool name must be pointed.
  Parameters:
    `serverPool` - server pool name is needed
  Returns:
    Array of ServerPool object

### getServerPoolByName

    ServerPool getServerPoolByName(java.lang.String serverPoolName)

  Returns an instance of a specific server pool managed by the system, query condition is its name.
  pool name must be pointed.
  Parameters:
    `serverPoolName` - VirtualServerPoolName
  Returns:
    ServerPool

### getNetworkBridges

    java.util.Map getNetworkBridges(ServerPool serverPool)
                                    throws oracle.ovs.biz.exception.OVSException

  Get xen bridge from a server pool.
  pool ID must be pointed.
  Parameters:
    `serverPool` -
  Returns:
    key value set, such as "<\xenbr0,00:15:60:C3:07:A1>;<\xenbr1,00:15:60:C3:07:A2>"
  Throws:
    `java.lang.Exception`
    `oracle.ovs.biz.exception.OVSException`

### getNetworkBridgesByServerIP

    java.util.Map getNetworkBridgesByServerIP(VirtualServer virtualServer)
                                              throws oracle.ovs.biz.exception.OVSException

  Get xen brige by virtualServer ip
  Parameters:
    `virtualServer` - server's ip must be pointed.
  Returns:
    key value set, such as "<\xenbr0,00:15:60:C3:07:A1>;<\xenbr1,00:15:60:C3:07:A2>"
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### rebootServer

    void rebootServer(VirtualServer virtualServer)
                      throws oracle.ovs.biz.exception.OVSException

  Reboots the virtual server.
  server ID must be pointed.
  Parameters:
    `virtualServer` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### refreshServerPool

    void refreshServerPool(ServerPool pool)

  Refresh server and server pool status , synchronize db data between EM-OVM and Agent db.
  Parameters:
    `pool` - refresh the server pool

### removeMember

    void removeMember(VirtualServer virtualServer,
                      boolean force,
                      java.util.List warningMessageList)
                      throws oracle.ovs.biz.exception.OVSException

  Removes a virtual server from the server pool (logical de-referencing).
  server ID must be pointed.
  When the flag force is true, following attentions need be paid:
  1.Some ongoing task will not be checked for the virtual server, such as running vm.
  2.If the virtual server is unreachable, the virtual server still will be removed from OVM db and agent DB.
  Otherwise,removeMember will check following validations:
  1.Is there any running vm in this virtual server?
  Parameters:
    `virtualServer` -
    `force` - Force remove virtual server or not?
    For example: If user want to remove one virtual serve, but there are some running vm in this server.
    so if the flag is true, API will not throw any exception message,just remove the virtual server according
    to user's request.And all of running vm in the virtual server will be powered off or HA.
    otherwise,API will throw some message to prompt user what they should do.
    `warningMessageList` - List of warnning message for force remove virtual server operation.
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### removeMember

    void removeMember(VirtualServer virtualServer,
                      boolean force)
                      throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Parameters:
    `virtualServer` -
    `force` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`
  See Also:
    `removeMember(VirtualServer, boolean,List)`

### removeMember

    void removeMember(VirtualServer virtualServer)
                      throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Parameters:
    `virtualServer` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`
  See Also:
    `removeMember(VirtualServer, boolean,List)`

### shutdownServer

    void shutdownServer(VirtualServer virtualServer)
                        throws oracle.ovs.biz.exception.OVSException

  Shuts down the virtual server.
  server ID must be pointed.
  Parameters:
    `virtualServer` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### updateVirtualServer

    void updateVirtualServer(VirtualServerConfig serverConfig)
                             throws oracle.ovs.biz.exception.OVSException

  Deprecated.

  Replace by updateVirtualServerById(VirtualServer, boolean,List). `updateVirtualServerById(VirtualServer, boolean)`

  Update Virtual Server information by server id.
  1.Change virtual server agent password stored in ovm db, by this way, can populate agent password from agent side to OVM side.
  2.Change utility virutl server login password store in ovmdb, by using this way, can populate virtual server login password from server side to OVM side.
  3.Change server pool's utility/virtual server, for example: you can replace one obsolete virtual server by starting using a new virtual server.

  Parameters:
    `serverConfig` - using VirtualServer or UtilityVirtualServer object to construct VirtualServerConfig.
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### updateServerPool

    void updateServerPool(java.lang.Long poolId,
                          boolean HAStatus,
                          java.lang.String newPoolName)
                          throws oracle.ovs.biz.exception.OVSException

  Update server pool info, including:
  1.Update name of server pool;
  2.Enable/Disable HA status for server pool.
  Parameters:
    `poolId` - Which server pool will be updated.
    `HAStatus` - New server pool ha status
    `newPoolName` - New server pool name
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### validateAddMembers

    void validateAddMembers(ServerPool pool,
                            VirtualServerConfig[] serverConfigs)
                            throws oracle.ovs.biz.exception.OVSException

  Pre-check for server addition into serverPool. This API done such validation jobs:
  1.Is there any server to be added in the input parameter serverConfigs.
  2.If the input server is utility server, check the input utility server's user name and password.
  3.Check the input server's agent password is correct or not.
  4.Check all input server's agent can be connected or not.
  5.Check all input server is managed or not by another server pool, in another word, the server's management is exclusive.
  6.If current server pool is HA enabled, all of input server's HA cluster ability will be check.
  7.Check whether the input server shared one same storage with current server pool or not.
  Parameters:
    `pool` -
    `serverConfigs` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### validateCreateServerPool

    void validateCreateServerPool(ServerPoolConfig poolConfig)
                                  throws oracle.ovs.biz.exception.OVSException

  Pre-check for create server pool. This API done such validation jobs:
  1.Check the Integrity for the new server pool.
  2.Check all new server's agent can be connected or not.
  3.Check all new server is managed or not, in another word, the server's management is exclusive.
  4.If setcurrent server pool's HA enabled, all of new server's ha ability will be check.
  5.Check whether all of server shared one same storage or not.
  Parameters:
    `poolConfig` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### validateDeleteServerPool

    void validateDeleteServerPool(ServerPool serverPool)
                                  throws oracle.ovs.biz.exception.OVSException

  Pre-check for server pool deletion. This API done such validation jobs:
  1.Are there any running vm in the server pool?
  2.Are there any importing resources in the server pool?
  3.All of agents belong to servers in the pool can be connected or not.
  Parameters:
    `serverPool` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### validateRebootServer

    void validateRebootServer(VirtualServer vs)
                              throws oracle.ovs.biz.exception.OVSException

  This API done such validation jobs:
  The server's agent and its master agent can be connected or not?
  Parameters:
    `vs` - Virtual Server
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### validateRemoveMember

    void validateRemoveMember(VirtualServer vs,
                              boolean force,
                              java.util.List warningMessageList)
                              throws oracle.ovs.biz.exception.OVSException

  Pre-check for server removal from the serverPool. This API does such validation jobs:
  1.The server's master agent can be connected or not.
  2.Running vm in the server will be checked.
  3.Prefer server list will be checked.
  4.If the server is a master server, so the server couldn't be removed directly.
  If force=true, upper checking message will be added into warningMessageList;
  If force=false, upper checking will thrown error exception.
  Parameters:
    `vs` - virtual server to be validate its removal
    `force` - user want to force remove or not? if force is true, validate will not check running virtual machine for the virtual server.
    `warningMessageList` - warning message list, it is a output parameter.
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### validateRemoveMember

    void validateRemoveMember(VirtualServer vs,
                              boolean force)
                              throws oracle.ovs.biz.exception.OVSException

  Deprecated. Replace by #validateRemoveMember(VirtualServer vs,boolean force,List warningMessageList)
  This API does such validation jobs:
  1.The server's master agent can be connected or not.
  2.Running vm in the server will be checked.
  3.Prefer server list will be checked.
  4.If the server is a master server, so the server couldn't be removed directly.
  If force=true, upper checking message will be added into warningMessageList;
  If force=false, upper checking will thrown error exception.
  Parameters:
    `vs` - virtual server to be validate its removal
    `force` - user want to force remove or not? if force is true, validate will not check running virtual machine for the virtual server.
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### validateRemoveMember

    void validateRemoveMember(VirtualServer vs)
                              throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Parameters:
    `vs` - virtual server
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### validateShutdownServer

    void validateShutdownServer(VirtualServer vs)
                                throws oracle.ovs.biz.exception.OVSException

  This API done such validation jobs:
  1.Check the server's agent can be connected or not.
  2.Check the server's master agent can be connected or not.
  3.Check the server's agent version, if version number is 212, the operation shutdown server is unsupported.
  Parameters:
    `vs` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### validateUpdateVSAgentPassword

    void validateUpdateVSAgentPassword(java.lang.String hostName,
                                       java.lang.String oldPassword)
                                       throws oracle.ovs.biz.exception.OVSException

  Validation virtual server agent password can be updated or not.
  1.Try to connect virtual server agent usting oldPassword.
  2.If failed, then validationg will fail, and throw error exception message.
  Parameters:
    `hostName` - Hostname/IP
    `oldPassword` - Old password
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### updateVirtualServerAgentPassword

    void updateVirtualServerAgentPassword(java.lang.String hostName,
                                          java.lang.String oldPassword,
                                          java.lang.String newPassword)
                                          throws oracle.ovs.biz.exception.OVSException

  Update virtual server agent's password.
  Parameters:
    `hostName` - Hostname/IP
    `oldPassword` - Old password
    `newPassword` - New password
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### validateUpdateUtilityServerPassword

    void validateUpdateUtilityServerPassword(java.lang.String hostName,
                                             java.lang.String oldPassword)
                                             throws oracle.ovs.biz.exception.OVSException

  Validation user and password for utility server.
  1.Try to connect utility virtual server using oldpassword.
  2.If connection failed, then validtion will fail, and throw error exception message.
  Parameters:
    `hostName` - Hostname/IP
    `oldPassword` - Old Password
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### updateUtilityServerPassword

    void updateUtilityServerPassword(java.lang.String hostName,
                                     java.lang.String oldPassword,
                                     java.lang.String newPassword)
                                     throws oracle.ovs.biz.exception.OVSException

  Update password for utility virtual server.
  Parameters:
    `hostName` - Hostname/IP
    `oldPassword` - Old Password
    `newPassword` - New Password
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### updateVirtualServerById

    void updateVirtualServerById(VirtualServer vs,
                                 boolean force)
                                 throws oracle.ovs.biz.exception.OVSException

  Deprecated. Replaced by updateVirtualServerById(VirtualServer,boolean,List)

  `updateVirtualServerById(VirtualServer,boolean,List)`
  Update Virtual Server information by server id.
  1.Change virtual server informaion stored in ovm db, such as agent password, by this way, can populate agent password from agent side to OVM side.
  2.Change utility virutl server informaion stored in ovm db, such as login password store in ovmdb, by using this way, can populate utility virtual server login password from server side to OVM side.
  3.Change the virtual server role:
  Including:
  a)Reassign one virtual server role(Master/Utility/VirtualServer) to another virtual server;
  b)Change one virtual server role(Master/Utility/VirtualServer).

  Parameters:
    `vs` - virtual server info, The API will update the server info by getting serverId.
    `force` - this flag is an option for user,
    the API execute some default operations or thrown some exception message once need user to confirm.
    That means If force=true, API will execute default operations,
    otherwise,API will throw some message to prompt user what they should do.
    For example: If user remove one virtual serve role, but there are some running vm in this server. so if the flag is true,
    API will not throw any exception message,just change the virtual server role according to user's request.
    And all of running vm in the virtual server will be power off or HA.
  Throws:
    `oracle.ovs.biz.exception.OVSException` - if any exception occur, OVSException will be thrown.

### updateVirtualServerById

    void updateVirtualServerById(VirtualServer vs,
                                 boolean force,
                                 java.util.List warningMessageList)
                                 throws oracle.ovs.biz.exception.OVSException

  Update Virtual Server information by server id.
  1.Change virtual server informaion stored in ovm db, such as agent password, by this way, can populate agent password from agent side to OVM side.
  2.Change utility virutl server informaion stored in ovm db, such as login password store in ovmdb,
  by using this way, can populate utility virtual server login password from server side to OVM side.
  3.Change the virtual server role:
  Including:
  a)Reassign one virtual server role(Master/Utility/VirtualServer) to another virtual server;
  b)Change one virtual server role(Master/Utility/VirtualServer).
  Notes:
  a) For virtual server, running vm and prefer server list will be checked.
  Parameters:
    `vs` - virtual server info, The API will update the server info by getting serverId.
    `force` - this flag is an option for user, the API execute some default operations or thrown some exception message once need user to confirm.
    That means If force=true, API will execute default operations,
    otherwise,API will throw some message to prompt user what they should do.
    For example: If user remove one virtual serve role, but there are some running vm in this server. so if the flag is true,
    API will not throw any exception message,just change the virtual server role according to user's request.
    `warningMessageList` - List of OVSWarningMessage
  Throws:
    `oracle.ovs.biz.exception.OVSException` - if any exception occur, OVSException will be thrown.
  See Also:
    `OVSWarningMessage`

### restoreVirtualServerPoolByManagerData

    void restoreVirtualServerPoolByManagerData(java.lang.Long serverPoolId)
                                               throws oracle.ovs.biz.exception.OVSException

  Populate Server Pool data from Manager DB to Agent DB.
  Parameters:
    `serverPoolId` - ServerPool ID
  Throws:
    `oracle.ovs.biz.exception.OVSException` - if any exception occur, OVSException will be thrown.

### updateUserList4ServerPool

    void updateUserList4ServerPool(java.lang.Long serverPoolId,
                                   java.lang.Long[] userIDArray)

  Update User List for server pool.
  Parameters:
    `serverPoolId` - Server Pool ID
    `userIDArray` - Array of User ID

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.